Class OutboundShipmentOrderRequest
java.lang.Object
com.eqixiac.equinix.customerportal.model.json.creators.OutboundShipmentOrderRequest
Request body for submitting an outbound shipment order
(
POST /v1/orders/shipment/outbound, outboundShipmentRequest in the shipments v1
spec).
ibxLocation, contacts and serviceDetails are required. Ordering and
notification contacts are registered customer-portal users referenced by user name; a technical
contact is optional and specified inline. Attachments reference previously uploaded files by id
and name.
-
Nested Class Summary
Nested Classes -
Method Summary
Modifier and TypeMethodDescriptionbuilder(IbxLocation ibxLocation, List<ContactInfo> contacts, OutboundShipmentServiceDetails serviceDetails) Returns a new builder for an outbound shipment order request.
-
Method Details
-
builder
public static OutboundShipmentOrderRequest.Builder builder(IbxLocation ibxLocation, List<ContactInfo> contacts, OutboundShipmentServiceDetails serviceDetails) Returns a new builder for an outbound shipment order request.- Parameters:
ibxLocation- the IBX/cage location (required)contacts- the ordering, notification and optional technical contacts (required)serviceDetails- the outbound shipment service details (required)- Returns:
- a new builder
-